## org.gnu.gtk.event
Class UIManagerEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.UIManagerEvent

All Implemented Interfaces:
  java.io.Serializable

public class UIManagerEvent
extends GtkEvent

An event represeting action by a `UIManager` object.

See Also:
  `UIManagerListener`, `UIManager`, Serialized Form

Nested Class Summary
`static class` `UIManagerEvent.Type`

Constructor Summary
`UIManagerEvent(java.lang.Object source, EventType type)` Construct a UIManagerEvent object.

Method Summary
`Action` `getAction()`
`Widget` `getWidget()`
`boolean` `isOfType(UIManagerEvent.Type aType)`
`void` `setAction(Action action)`
`void` `setWidget(Widget widget)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UIManagerEvent

    public UIManagerEvent(java.lang.Object source,
                          EventType type)

  Construct a UIManagerEvent object.

Method Detail

### isOfType

    public boolean isOfType(UIManagerEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.

### getAction

    public Action getAction()

  Returns:
    Returns the action.

### setAction

    public void setAction(Action action)

  Parameters:
    `action` - The action to set.

### getWidget

    public Widget getWidget()

  Returns:
    Returns the widget.

### setWidget

    public void setWidget(Widget widget)

  Parameters:
    `widget` - The widget to set.